[script]
n0=#watch on
n1=on *:JOIN:#: {
n2=  if ($nick == $me) { halt }
n3=  if ( $readini(watch.ini,n,$address($nick,3),nick $+ 1 )  == $null ) {
n4=    /writeini watch.ini $address($nick,3) count 1
n5=    /writeini watch.ini $address($nick,3) nick $+ $readini(watch.ini,n,$address($nick,3),count) $nick 
n6=    /writeini watch.ini $address($nick,3) time $+ $readini(watch.ini,n,$address($nick,3),count) $time
n7=    /writeini watch.ini $address($nick,3) date $+ $readini(watch.ini,n,$address($nick,3),count) $date
n8=    halt
n9=  }
n10=  if ( $readini(watch.ini,n,$address($nick,3),count ) > 0 ) {
n11=    set %watchx 1
n12=    :next
n13=    if $readini(watch.ini,n,$address($nick,3),nick [ $+ [ %watchx ] ] ) == $nick { 
n14=      /writeini watch.ini $address($nick,3) time $+ $readini(watch.ini,n,$address($nick,3),count) $time
n15=      /writeini watch.ini $address($nick,3) date $+ $readini(watch.ini,n,$address($nick,3),count) $date
n16=      /unset %watchx 
n17=      goto cont2 
n18=    }
n19=    if $readini(watch.ini,n,$address($nick,3),nick [ $+ [ %watchx ] ] ) != $nick { 
n20=      inc %watchx
n21=      if (%watchx <= $readini(watch.ini,n,$address($nick,3),count) ) { goto next }
n22=    }
n23=    else { /unset %watchx | goto cont }
n24=  }
n25=
n26=
n27=
n28=  :cont
n29=  /set %count. [ $+ [ $nick ] ] $readini(watch.ini,n,$address($nick,3),count)
n30=  inc %count. [ $+ [ $nick ] ] 1
n31=  /writeini watch.ini $address($nick,3) count %count. [ $+ [ $nick ] ] 
n32=  /unset %count. [ $+ [ $nick ] ]
n33=
n34=  /writeini watch.ini $address($nick,3) nick $+ $readini(watch.ini,n,$address($nick,3),count) $nick    
n35=  /writeini watch.ini $address($nick,3) time $+ $readini(watch.ini,n,$address($nick,3),count) $time
n36=  /writeini watch.ini $address($nick,3) date $+ $readini(watch.ini,n,$address($nick,3),count) $date
n37=
n38=  :cont2
n39=  /set %watchn 1
n40=  /window -n @watch 
n41=  /aline  @watch 4 $nick has $readini(watch.ini,n,$address($nick,3),count) name(s) 
n42=  :cont3
n43=  /aline @watch 3 $readini(watch.ini,n,$address($nick,3),nick [ $+ [ %watchn ] ] )  entered at  $readini(watch.ini,n,$address($nick,3),time [ $+ [ %watchn ] ] ) on  $readini(watch.ini,n,$address($nick,3),date [ $+ [ %watchn ] ] ) 
n44=  inc %watchn 
n45=  if (%watchn <= $readini(watch.ini,n,$address($nick,3),count) && %watchn != $null ) { goto cont3 }
n46=  else {
n47=    /unset %watchn 
n48=    /aline @watch 13 ------------------------------------------------------------------------------ 
n49=    halt
n50=  }
n51=}
n52=
n53=#watch end
